/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with 
	TopSoft, Inc. See the Modification History for more details.

Product
	About Box

FILE
	ABUCursor.c

NAME
	ABUCursor.c, part of the ABox project source code,
	this class is a mix-in for handling cursor switching

DESCRIPTION
	This file is a mix-in for handling cursor switching.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this 
 	file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	28-july-94	-	ty	-	Initial Version Created and Released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*======= Segmentation directives ========*/

#ifdef USE_MANUAL_SEGMENTATION
#pragma segment ty
#endif

/*============ Header files ==============*/
	
#include 	"ABUCursor.h"

/*=============== Globals ================*/

/*================ CODE ==================*/


/*=============================== ABUCursor::ABUCursor ================================*/
ABUCursor::ABUCursor(void)
{
} // end ABUCursor



/*=============================== ABUCursor::~ABUCursor ================================*/
ABUCursor::~ABUCursor(void)
{
} // end ~ABUCursor



/*=============================== ABUCursor::WatchCursor ===============================*/
//
//
void	ABUCursor::WatchCursor (void)
{

	Cursor		theWatch;			//	allocate a 68-byte struct
	CursHandle	theWatchHandle;

	//	begin here...
		
	theWatchHandle = ::GetCursor( watchCursor );	//	constant in ToolboxUtil.h
	if (theWatchHandle)
	{
		::HLock ((Handle) theWatchHandle);
		theWatch = **theWatchHandle;
		::HUnlock ((Handle) theWatchHandle);
		::SetCursor( &theWatch );
	}

} // end WatchCursor




/*=============================== ABUCursor::ArrowCursor ===============================*/
//
//
void	ABUCursor::ArrowCursor (void)
{
	::SetCursor( &(qd.arrow));
} // end ArrowCursor




//	end of file.