/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABUFonts.c

NAME
	ABUFonts.c, part of the ABox project source code,
	responsible for mix-in handling the AboutBox Fonts stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	14 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*======= Segmentation directives ========*/

#ifdef USE_MANUAL_SEGMENTATION
#pragma segment ty
#endif

/*============ Header files ==============*/
	
#include 	"ABUFonts.h"

/*=============== Globals ================*/

/*================ CODE ==================*/


/*=============================== ABUFonts::ABUFonts ================================*/
ABUFonts::ABUFonts(void)
{
}	// end ABUFonts


/*=============================== ABUFonts::~ABUFonts ================================*/
ABUFonts::~ABUFonts(void)
{
}	// end ~ABUFonts



/*=============================== ABUFonts::FindFontHeight ===============================*/
//
//	FindFontHeight will return the calculated line height for a line of text
//	(unstyled) in the window's default font.
//
//	The function returns a short
//
//
//	is called by:
//
short	ABUFonts::FindFontHeight(void)
{
	FontInfo	fontInfo;
	
	//	begin here...
	
	::GetFontInfo (&fontInfo);
	return ABUFonts::FindFontHeight (&fontInfo);
} // end FindFontHeight




/*=============================== ABUFonts::FindFontHeight ===============================*/
//
//	FindFontHeight will return the calculated line height for a line of text
//	(unstyled) in the window's default font.
//
//	The function returns a short
//
//
//	is called by:
//
short	ABUFonts::FindFontHeight(FontInfo const *fontInfo)
{
	//	begin here...
	
	if (fontInfo)
		return (fontInfo->ascent + fontInfo->descent + fontInfo->leading);
	else
		return 0;
		
} // end FindFontHeight







