/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABPict.h

NAME
	ABPict.h, part of the ABox project source code,
	responsible for handling the AboutBox PICT class stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	27-jun-94	-	ty	-	added DragMgr support
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).
	
*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABPict_
#define	_ABPict_


/*============ Header Files ==============*/

#include	"ABResource.h"
#include	"ABUEnvDragMgr.h"

/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/

#define		kABPictResource						((ResType)'PICT')

/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/

/*=========== Class Definitions ==========*/

#define	kABPictSuperProperties	ABResource, ABUEnvDragMgr
class	ABPict : public ABResource, 
					ABUEnvDragMgr
{
	public:
						ABPict(void);
		virtual			~ABPict(void);

		virtual	OSErr	Draw(WindowPtr window);
		virtual	Boolean	Event(EventRecord *event);
		
		virtual	OSErr	Begin(void);
		virtual	OSErr	Initialize(void);
		
	protected:

										
	private:
};




/*========== Function Prototypes =========*/




#endif	// _ABPict_

