/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABStr.h

NAME
	ABStr.h, part of the ABox project source code,
	responsible for handling the AboutBox STR class stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABStr_
#define	_ABStr_


/*============ Header Files ==============*/

#include	"ABResource.h"
#include	"ABUTextBox.h"
#include	"ABUEnvSpeechSynth.h"


/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/

#define		kABStringResource					((ResType)'STR ')

/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/

/*=========== Class Definitions ==========*/

#define	kABStrSuperProperties	ABResource
class	ABStr : public ABResource, ABUEnvSpeechSynth, ABUTextBox
{
	public:
						ABStr(void);
		virtual			~ABStr(void);

		virtual	OSErr	Draw(WindowPtr window);

		virtual	Boolean	Event(EventRecord *event);
		virtual	OSErr	Stop(void);
		
		
	protected:
	private:
};




/*========== Function Prototypes =========*/




#endif	// _ABStr_

