/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may diTextibute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABText.h

NAME
	ABText.h, part of the ABox project source code,
	responsible for handling the AboutBox Text class stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	27-jun-94	-	ty	-	added support for Drag and Drop Manager
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).
	
*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABText_
#define	_ABText_


/*============ Header Files ==============*/

#include	"ABResource.h"
#include	"ABUTextBox.h"
#include	"ABUText.h"
#include	"ABUControls.h"
#include	"ABUEnvDragMgr.h"


/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/

#define		kABtextResource						((ResType)'TEXT')
#define		kABstyleResource					((ResType)'styl')

/*================ Enums =================*/

/*=============== structs ================*/

/*=============== Typedefs ===============*/

/*=========== Class Definitions ==========*/

#define	kABTextSuperProperties	ABResource
class	ABText : public ABResource, 
					ABUTextBox, 
					ABUText, 
					ABUControls,
					ABUEnvDragMgr
{
	public:
						ABText(void);
		virtual			~ABText(void);

		virtual	OSErr	Draw(WindowPtr window);
		virtual	OSErr	Update(WindowPtr window);

		virtual	Boolean	Event(EventRecord *event);
		virtual	OSErr	Stop(void);
		virtual	OSErr	Initialize(void);
		virtual	OSErr	Begin(void);

				Boolean HasTEh(void) const	{ return this->TEh() != NULL; }
				Boolean DoesntHaveTEh(void) const { return ! this->HasTEh(); }
				
				Boolean HasScrollbar(void) const { return this->Scrollbar() != NULL; }
				Boolean DoesntHaveScrollbar(void) const { return ! this->HasScrollbar(); }
				
		
	protected:
				TEHandle		mTEh;		//	handle for the TERecord
				ControlHandle	mScrollH;	//	handle for scrollbar

				TEHandle& TEh(void) const { return this->mTEh; }
				ControlHandle& Scrollbar(void) const { return this->mScrollH; }
				
		virtual	OSErr			BuildText(Rect *area, WindowPtr window);
		
		virtual  OSErr	LocalSendProc(FlavorType theType,
										void *dragSendRefCon,
										ItemReference theItemRef,
										DragReference theDragRef);
										
	private:
};




/*========== Function Prototypes =========*/




#endif	// _ABText_

