/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABTopicList.h

NAME
	ABTopicList.h, part of the ABox project source code,
	responsible for handling the AboutBox topic list class stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	15-july-94	-	ty	-	modifications to include ABUFSSpecs mix-in class
	20-july-94	-	ty	-	initial version released
	28-july-94	-	ty	-	1.0.6 -- included mix-in class ABUCursor
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABTopicList_
#define	_ABTopicList_


/*============ Header Files ==============*/

#include	"ABLinkedList.h"
#include	"ABTopic.h"
#include	"ABMovieTopic.h"
#include	"ABOtherTopic.h"
#include	"ABUFSSpecs.h"
#include	"ABUCursor.h"

/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/


/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/

/*=========== Class Definitions ==========*/


class	ABTopicList :  public ABLinkedList
{
	public:
						ABTopicList(void);
		virtual			~ABTopicList(void);
		virtual	OSErr	Load (FSSpecPtr top, short defaultResFileRefNum);
		
		virtual	ABLink	*NextLink(void);
		virtual	ABLink	*PreviousLink(void);
		
		virtual	ABLink	*FirstLink(void);
		virtual	ABLink	*LastLink(void);
		virtual	ABLink	*GotoLink(ABIndex number);

		
	protected:
		virtual		OSErr RecurseDownFolderTree( FSSpecPtr top,
												short int depth, 
												ABTopic *parentFolder);
												
					short GetDefaultResFileRefNum(void) const { return this->DefaultResFileRefNum(); }
					
					ABTopic* TryTopics(FSSpec& inFileSpec);
					ABTopic* TryTopic(FSSpec& inFileSpec, ETopicType inTopicType);
								
	private:
				short	mDefaultResFileRefNum;
				short&	DefaultResFileRefNum(void) const { return this->mDefaultResFileRefNum; }
};





#endif	// _ABTopicList_

