/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABUControls.h

NAME
	ABUControls.h, part of the ABox project source code,
	a utility class, mixed into other classes, responsible for 
	handling the AboutBox Controls stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABUControls_
#define	_ABUControls_


/*============ Header Files ==============*/

/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/

//	kABacControlsControl, kABdeacControlsControl are used
//	in determining and/or setting the control states of
//	dialog items via the Control Manager.
#define		kABactivateControl					0
#define		kABdeactivateControl				255


//	kABscrollBarWidth and kABscrollBarMinLength are used
//	in the about box code to describe, respectively,
//	the width and minimum length of the scroll bar used by the
//	DoText() function to draw/display text records in the slide area.
#define		kABscrollBarWidth					(16)
#define		kABscrollBarMinLength				(55)

/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/

typedef struct _ABControlList
	{
		ControlHandle	handle;
		short			state;
	} ABControlList, *ABControlListPtr, **ABControlListHandle;
	

/*=========== Class Definitions ==========*/

class	ABUControls
{
	public:
						ABUControls(void);
		virtual			~ABUControls(void);
	
		static	ControlHandle	GetControlHandle (GrafPtr thebox, short theGetItem);
		static	Boolean			FlashControl (ControlHandle ctrl);
		static	Boolean			IsControlActive (ControlHandle ctrl);
		static	OSErr			CheckControl (ControlHandle ctrl, Boolean setCondition);
		static	OSErr			CheckAllControls (WindowPtr window, Boolean setCondition);
		
				short			CountControls (WindowPtr window);
				OSErr			SaveControlStates(WindowPtr window);
				OSErr			RestoreControlStates(WindowPtr window);
				
	protected:
		
	private:
			ABControlListPtr	cList;
			short				cNumber;
};


/*========== Function Prototypes =========*/


#endif	// _ABUControls_

