/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABUEnvQD.h

NAME
	ABUEnvQD.h, part of the ABox project source code,
	a utility class, mixed into other classes, responsible for 
	handling the AboutBox quickdraw/color-quickdraw stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	16 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	10-mar-95	-	ty	-	1.2 addition of various static methods moved from
								ABObject; addition of method for examining
								the port, active screen, and pixel depth
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABUEnvQD_
#define	_ABUEnvQD_


/*============ Header Files ==============*/

#include	"ABUEnv.h"

/*=========== External Linkage ===========*/

/*================ Macros ================*/

//	kABminPixelDepthForBezel, kABbezelShades, kABbezelWidth are
//	used primarily by DrawFrame/EraseFrame to determine if a 
//	3-d bezel should be drawn around an area. A simple ruled
//	rect will be drawn if the current graphics device is
//	not at least kABminPixelDepthForBezel deep.
#define	kABdefaultScreenDepth			((short)1)
#define	kABminPixelDepthForBezel			4
#define	kABbezelShades						1
#define	kABbezelWidth						1

/*============== Constants ===============*/


/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/


/*=========== Class Definitions ==========*/

class	ABUEnvQD : ABUEnv
{
	public:
						ABUEnvQD(void);
		virtual			~ABUEnvQD(void);
	
		virtual	Boolean	IsPresent(void);
	
		virtual	long	CheckVersion(void);
		virtual	long	CheckFeatures(void);

				Boolean	HasColorQD(void);
		
				Boolean	IsColorPort(void) const;
		static	Boolean IsColorPort(GrafPtr inGrafPtr);
				Boolean IsActiveScreenDevice(GDHandle inGDevice) const;

		static	Boolean	IsColorPort(void);
		static	Boolean IsActiveScreenDevice(GDHandle inGDevice);

		static short	GetPixelDepth(GDHandle inDevice);
				
				long	GetVersion(void) const { return this->VersionRef(); }
				void	SetVersion(long inVersion)  { this->VersionRef() = inVersion; }
				
	protected:
		
	private:
		long			mVersion;
		long&			VersionRef(void) const { return this->mVersion; }
};


/*========== Function Prototypes =========*/


#endif	// _ABUEnvQD_