/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABUEnvQuickTime.h

NAME
	ABUEnvQuickTime.h, part of the ABox project source code,
	a utility class, mixed into other classes, responsible for 
	handling the AboutBox quicktime environment stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABUEnvQuickTime_
#define	_ABUEnvQuickTime_


/*============ Header Files ==============*/

#include	"ABUEnv.h"

//	Includes for QuickTime support
#ifndef __COMPONENTS__
#include <Components.h>
#endif

#ifndef __IMAGECODEC__
#include <ImageCodec.h>						
#endif

#ifndef __IMAGECOMPRESSION__
#include <ImageCompression.h>				
#endif

#ifndef __MOVIES__
#include <Movies.h>
#endif

#ifndef __MOVIESFORMAT__
#include <MoviesFormat.h>					
#endif

#ifndef __QUICKTIMECOMPONENTS__
#include <QuickTimeComponents.h>
#endif

/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/

#define		kABserviceAllMovies				((long)0)
#define		kABstopMovieController			((void *)0)
#define		kABdefaultMovieResID			((short)5000)

/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/


/*=========== Class Definitions ==========*/

class	ABUEnvQuickTime : ABUEnv
{
	public:
						ABUEnvQuickTime(void);
		virtual			~ABUEnvQuickTime(void);
	
		virtual	Boolean	IsPresent(void);
		virtual	Boolean	Feature(long mask);
		
		virtual	OSErr	Initialize(void);
		virtual	OSErr	Close(void);
		virtual	void	CleanUp(void);
		virtual	OSErr	Begin(void);
		virtual	OSErr	End(void);

				Boolean	HasMovie(void) const { return this->MovieRef() != NULL; }
				Boolean DoesntHaveMovie(void) const { return ! this->HasMovie(); }
				
				Boolean HasController(void) const { return this->MovieControllerRef() != NULL; }
				Boolean DoesntHaveController(void) const { return ! this->HasController(); }
				
	protected:
		//	instance specific information...
				Movie				mMovie;			//	the quicktime movie
				MovieController		mController;		//	the quicktime movie controller
				
				Movie& MovieRef(void) const { return this->mMovie; }
				MovieController& MovieControllerRef(void) const { return this->mController; }
	private:
		//	class-wide information:
		
};


/*========== Function Prototypes =========*/


#endif	// _ABUEnvQuickTime_

