/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABUEnvSpeechSynth.h

NAME
	ABUEnvSpeechSynth.h, part of the ABox project source code,
	a utility class, mixed into other classes, responsible for 
	handling the AboutBox speech synthesis environment stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABUEnvSpeechSynth_
#define	_ABUEnvSpeechSynth_


/*============ Header Files ==============*/

#include	"ABUEnv.h"

//	Includes for SpeechSynth support
#ifndef __SPEECH__
#include <Speech.h>
#endif

/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/


/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/


/*=========== Class Definitions ==========*/

class	ABUEnvSpeechSynth : ABUEnv
{
	public:
						ABUEnvSpeechSynth(void);
		virtual			~ABUEnvSpeechSynth(void);
	
		virtual	Boolean	IsPresent(void);
		virtual	OSErr	End(void);
		
	protected:
	private:
};


/*========== Function Prototypes =========*/


#endif	// _ABUEnvSpeechSynth_

