/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABUString.c

NAME
	ABUString.c, part of the ABox project source code,
	responsible for mix-in handling the AboutBox string stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.
	
	This file is based, in part, upon prior work by
	Greg Anderson <greggor@apple.com> of Apple DTS.


CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	10 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/
/*===========================================================================*/

/*========== Exclusion Macros ============*/
#pragma once
#ifndef _ABUString_
#define _ABUString_

/*============ Header Files ==============*/

/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/

/*================ Macros ================*/

/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/


/*=========== Class Definitions ==========*/

class	ABUString
{
	public:
						ABUString(void);
		virtual			~ABUString(void);
		
		static	void		P2Ccpy(char *cStringDest, Str255 pStringSrc);
		static	void		C2Pcpy(Str255 pStringDest, char *cStringSrc);
		static	short		PCcmp(Str255 pString, char *cString);
		static	StringPtr	P2Pstrcat(Str255 dest, Str255 src);

	protected:
	public:
};

#endif	// _ABUString_
