/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may diTextibute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

Product
	About Box

FILE
	ABUText.h

NAME
	ABUText.h, part of the ABox project source code,
	responsible for handling the AboutBox Text class stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABUText_
#define	_ABUText_


/*============ Header Files ==============*/

/*=========== External Linkage ===========*/

/*================ Macros ================*/

/*============== Constants ===============*/

#define		kABTextResource					((ResType)'TEXT')
#define		kABStyleResource				((ResType)'styl')

#define		kTEUinvalidTELine				((short)-1)

#define		kTEUdefaultLineHeight			((short)16)
#define		kTEUscrollForwardOneUnit		((short)1)
#define		kTEUscrollBackwardOneUnit		(-kTEUscrollForwardOneUnit)

/*================ Enums =================*/

/*=============== structs ================*/

/*=============== Typedefs ===============*/

/*=========== Class Definitions ==========*/

class	ABUText
{
	public:
						ABUText(void);
		virtual			~ABUText(void);

		static		short		TELineHeight(TEHandle te);
		static		void		TEGetSelect(short* selStart, short* selEnd, TEHandle te);
		static		void		TEGetChars(char* buf, short from, short to, TEHandle te);
		static		void		GetTEView(TEHandle te, Rect* viewRect);
		static		short		TELines(TEHandle te);
		static		short		TEHeight(TEHandle te);
		static		short		GetTEVScroll(TEHandle te);
		static		short		ViewHeight(TEHandle te);
		static		short		VScrollLocation(ControlHandle scrollbar);
		static		void		PinnedTEVScroll(TEHandle te, ControlHandle scrollbar, short dv);
		static		void		ScrollTELine(TEHandle te, ControlHandle scrollbar, short dir);
		static		void		ScrollTEPage(TEHandle te, ControlHandle scrollbar, short dir);
		static		void		TEVThumbScroll(TEHandle te, ControlHandle scrollbar);
		static pascal 	void		TrackUpDownArrows(ControlHandle theControl, short partCode);
		static pascal 	void		TrackUpDownPage(ControlHandle theControl, short partCode);
		static		void		ScrollBarClick(ControlHandle scrollbar, Point where);
		static		void		FixScrollBar(ControlHandle scrollbar);
		
		
	protected:
	private:
};




/*========== Function Prototypes =========*/




#endif	// _ABUText_

