/*	
	Copyright  1991-1995 by TopSoft Inc.  All rights reserved.

	You may distribute this file under the terms of the TopSoft
	Artistic License, accompanying this package.
	
	This file was developed by George (ty) Tempel in connection with TopSoft, Inc..
	See the Modification History for more details.

	This file is based upon code developed by Bryan K. Ressler (Beaker) 
	of Apple DTS as a replacement for TextBox
	

Product
	About Box

FILE
	ABUTextBox.h

NAME
	ABUTextBox.h, part of the ABox project source code,
	a utility class, mixed into other classes, responsible for 
	handling the AboutBox TextBox stuff.

DESCRIPTION
	This file contains defines for the about box modules.
	
DEVELOPED BY
	George (ty) Tempel				netromancr@aol.com
	All code in this file, and its associated header file was
	Created by George (ty) Tempel in connection with the TopSoft, Inc.
	"FilterTop" application development, except where noted.

	This file is based upon code developed by Bryan K. Ressler (Beaker) 
	of Apple DTS as a replacement for TextBox
	

CARETAKER - George (ty) Tempel <netromancr@aol.com>
 	Please consult this person for any changes or suggestions to this file.

MODIFICATION HISTORY

	dd mmm yy	-	xxx	-	patchxx: description of patch
	9 June 94	-	ty	-	Initial Version Created
	20-july-94	-	ty	-	initial version released
	23-may-95	-	ty	-	changes for compatibility with the CodeWarrior CW6
							release and the associated Universal Headers from Apple:
							most methods that returned references now have "Ref" at
							the end of their methods names to prevent possible collisions
							with datatypes and classes of the same name (older versions
							of the compiler didn't have a problem with this).

*/

/*===========================================================================*/

/*========== Exclusion Macros ============*/

#pragma	once

#ifndef	_ABUTextBox_
#define	_ABUTextBox_

/*============ Header Files ==============*/

#include	"ABoxDefs.h"

/*=========== External Linkage ===========*/

/*============== Constants ===============*/

#define kNTBJustFull		128			//	Full justification
#define kNTBReturnChar		0x0d		//	Carriage return character


#define kNTBTrueTypeTrap	0x54		//	The TrueType trap number

/*================ Macros ================*/

#define MAXOF(a,b)	(((a) > (b)) ? (a) : (b))

#define	gHasTrueType  (Boolean)(NGetTrapAddress(kNTBTrueTypeTrap,ToolTrap) != NGetTrapAddress(kABUnimplTrap,ToolTrap))


/*================ Enums =================*/

/*=============== Structs ================*/

/*=============== Typedefs ===============*/


/*=========== Class Definitions ==========*/

class	ABUTextBox
{
	public:
						ABUTextBox(void);
		virtual			~ABUTextBox(void);
	
		static		OSErr	DrawTextBox (unsigned char *theText, 
										unsigned long textLen, 
										Rect *box,
										short just, 
										short htCode, 
										short *endY, 
										short *lhUsed);
	protected:
		
		static	unsigned short NTBLineHeight(unsigned char *theText, 
										unsigned long textLen,
										Rect *wrapBox, 
										short lhCode, 
										short *startY);
										
		static	void 			NTBDraw(StyledLineBreakCode breakCode, 
										unsigned char *lineStart,
										long lineBytes, 
										Rect *wrapBox, 
										short align, 
										short curY, 
										short boxWidth);

	private:
};


/*========== Function Prototypes =========*/


#endif	// _ABUTextBox_

